/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.SysRoleActivity;

import java.util.List;

/**
 * 工作流角色信息DAO接口
 * @author 杨帆
 * @version 2018-04-23
 */
@MyBatisDao
public interface SysRoleActivityDao extends CrudDao<SysRoleActivity> {

    public SysRoleActivity getByEnname(String enname);
    public String isSysRoleActivityRelation(SysRoleActivity sysRoleActivity);
    public List<SysRoleActivity> getByRole(String r);
    public List<SysRoleActivity> findListByCompany(SysRoleActivity sysRoleActivity);

}